org.eclipse.net4j.util.ui.widgets

## Class HistoryText

- java.lang.Object
- - org.eclipse.net4j.util.ui.widgets.HistoryText

-     public class HistoryText
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryText(Composite parent, int style, IHistory<String> history)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(int evenType, Listener listener)`
    `void` | `append(String string)`
    `int` | `getCharCount()`
    `CCombo` | `getCombo()`
    `IHistory<String>` | `getHistory()`
    `int` | `getLineCount()`
    `String` | `getLineDelimiter()`
    `int` | `getLineHeight()`
    `String` | `getText()`
    `String` | `getText(boolean addHistory)`
    `protected void` | `historyChanged()`
    `boolean` | `isDropped()`
    `void` | `removeListener(int evenType, Listener listener)`
    `boolean` | `setFocus()`
    `void` | `setText(String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryText

          public HistoryText(Composite parent,
                             int style,
                             IHistory<String> history)

  - ### Method Detail

    - #### getHistory

          public IHistory<String> getHistory()

    - #### getCombo

          public CCombo getCombo()

    - #### append

          public void append(String string)

    - #### getCharCount

          public int getCharCount()

    - #### getLineCount

          public int getLineCount()

    - #### getLineDelimiter

          public String getLineDelimiter()

    - #### getLineHeight

          public int getLineHeight()

    - #### getText

          public String getText(boolean addHistory)

    - #### getText

          public String getText()

    - #### setText

          public void setText(String string)

    - #### setFocus

          public boolean setFocus()

    - #### isDropped

          public boolean isDropped()

    - #### historyChanged

          protected void historyChanged()

    - #### addListener

          public void addListener(int evenType,
                                  Listener listener)

      Since:
        3.0

    - #### removeListener

          public void removeListener(int evenType,
                                     Listener listener)

      Since:
        3.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html